
Discovery - Feature #10244

Isolation through Proxy should work on more than one Smart Proxy

04/22/2015 04:01 PM - Stephen Benjamin

Status: New   

Priority: Normal   

Assignee:    

Category: Discovery plugin   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Based on the 2.0 manual, one should set proxy.url to a specific Smart Proxy, but this means you can only ever use one Smart Proxy.

If https://github.com/theforeman/foreman/pull/2268 is accepted, a "@proxy" environment variable will be available in the global

template, so every single proxy could support discovery (if @proxy has Discovery) when you "Build PXE Default".

Related issues:

Is duplicate of Discovery - Feature #10794: Multiple subnets support Duplicate 06/12/2015

Blocked by Foreman - Feature #10286: Default PXE Menu should be isolated New

History

#1 - 06/12/2015 10:17 AM - Stephen Benjamin

Actually https://github.com/theforeman/foreman/pull/2327 has the @proxy thingy now

#2 - 06/12/2015 10:24 AM - Dominic Cleal

- Blocked by Feature #10286: Default PXE Menu should be isolated added

#3 - 06/12/2015 10:38 AM - Lukas Zapletal

- Is duplicate of Feature #10794: Multiple subnets support added

#4 - 06/18/2015 03:21 AM - Lukas Zapletal

Correction, the patch was re-submitted here: https://github.com/theforeman/foreman/pull/2327

#5 - 09/11/2015 04:55 AM - Phirince Philip

- Assignee set to Phirince Philip

#6 - 02/29/2016 10:50 AM - Lukas Zapletal

- Assignee deleted (Phirince Philip)

The patch was pulled back. Keeping opened tho.

#7 - 09/27/2016 12:16 PM - Stephen Benjamin

- Bugzilla link set to 1295921

#8 - 01/10/2017 03:14 AM - Lukas Zapletal

- Bugzilla link deleted (1295921)

Incorrect link.

#9 - 12/21/2018 12:46 PM - Lukas Zapletal

- Triaged changed from No to Yes

05/21/2024 1/2

https://github.com/theforeman/foreman/pull/2268
https://github.com/theforeman/foreman/pull/2327
https://github.com/theforeman/foreman/pull/2327


Correction it is actually this patch that did not made it into develop: https://github.com/theforeman/foreman/pull/2327/files
